Package Details: gala-bzr r475-1

Git Clone URL: https://aur.archlinux.org/gala-bzr.git (read-only)
Package Base: gala-bzr
Description: The Pantheon Window Manager
Upstream URL: https://launchpad.net/gala
Licenses: GPL3
Groups: pantheon-unstable
Conflicts: gala
Provides: gala, libgala.so
Submitter: Ner0
Maintainer: alucryd
Last Packager: alucryd
Votes: 45
Popularity: 0.322951
First Submitted: 2012-06-15 12:53
Last Updated: 2015-07-16 12:39

Latest Comments

alex4o commented on 2016-05-21 07:52

I have the exact same problem. Tried with gnome-control-center, and think the problem is that alt, super, ctrl buttons doesn't get recognized.

alucryd commented on 2016-02-14 15:32

Try switching via gnome-control-center.

chavdar commented on 2016-02-04 13:21

I can't switch layouts, even though setxkbmap is configured right. When using xfwm4 everything is ok, but with gala I have only US layout.

alucryd commented on 2015-08-18 07:22

It only fails because helpers don't support provides, they try to install all that's in depends regardless of what the makedepends provide. This works perfectly fine with makepkg, which is the only way that matters btw, and fulfills the intended purpose: detect soname changes in my nightly builds and prevent you and me from messing our systems up when there's one.

peT commented on 2015-08-18 01:01

The requirement is still messed up, as it tries to install libgranite.so and, as it doesn't exist, fails. Simply depending on granite-bzr would fix this. It worked for me, after manually installing granite-bzr.

alucryd commented on 2015-08-11 12:44

granite-bzr provides it which is precisely why it's in makedepends, and soon granite will do as well.

jlarsson13 commented on 2015-08-11 12:31

It requires the package "libgranite.so", which does not seem to exist anymore.

jlarsson13 commented on 2015-08-11 12:31

It can't find the libgranite.so package anymore.

alucryd commented on 2015-02-11 08:35

It should depend on granite-bzr because they're being developped together, but that's not the case for plank, one can freely use plank or plank-bzr (plank-bzr provides plank anyway).

wrdcrrtmnstr commented on 2015-02-11 07:18

Shouldn't it depend on plank-bzr instead of plank?

alucryd commented on 2015-02-10 08:09

It's part of the base-devel group and you should have it installed.

isaacaggrey commented on 2015-02-10 01:14

@alucryd could you add `automake` as a make dependency? I happened to not have it installed (surprisingly -- since I've used it in the past) and it's also not part of the Arch Linux base group, so it's not necessarily something everyone has. :)

orzogc commented on 2015-01-08 05:15

gala-mutter314 has been merged.

Vistaus commented on 2015-01-06 19:47

Yes, still not working correctly :( But now instead of crashing it just freezes everything.

alucryd commented on 2015-01-05 11:12

It's working as intended here, can you still reproduce?

Vistaus commented on 2014-12-29 19:57

Gala's broken currently :(

vistaus@heimenssp3:~$ gala --replace
Window manager warning: Workarounds for broken applications disabled.
Some applications may not behave properly.
Window manager warning: Trying to re-add keybinding
"switch-to-workspace-last".
Window manager warning: Trying to re-add keybinding
"move-to-workspace-last".

(gala:19862): Gtk-WARNING **: Theme directory 48x48/app of theme
Numix-Square has no size field


** (gala:19862): WARNING **: Preferences.vala:184:
'/usr/share/plank/themes/Default/dock.theme' is read-only!

(gala:19862): GLib-GObject-WARNING **: The property
ClutterActor:anchor-gravity is deprecated and shouldn't be used anymore.
It will be removed in a future version.
Segmentation fault (core dumped)
vistaus@heimenssp3:~$

Therefore, pantheon-session-bzr also fails to load :(

alucryd commented on 2014-10-24 10:51

No it's not, I just forgot to upload yesterday's changes.

letoloke commented on 2014-10-24 08:15

So, this is useless now?? :(

ajs124 commented on 2014-04-07 22:08

It seems as if they stopped using cmake, but switched to autotools.

winch commented on 2014-03-30 05:12

I have a error with "CMakeFiles/gala.dir/src/Plugin.c.o" when I try compile gala-bzr: http://pastebin.com/SLNFn5vt
Can you help me? Thanks!

LeonardMH commented on 2014-03-25 21:21

I am having the same issue as u-foka. Same error messages exactly, I tried rebuilding granite-bzr using pacaur but it didn't do anything so then I manually downloaded granite-bzr and built/installed according to their instructions. That worked without a hitch but I still can't install this package. Same error messages as before.

alucryd commented on 2014-03-22 16:50

u-foka: You're supposed to keep deps up to date when building a package, especially if some of them are built from bzr, git or svn. Please rebuild granite-bzr, it should fix your issue.

u-foka commented on 2014-03-22 16:11

It does not build for me :/

There are lots of errors..
The output of makepkg can be found here:
http://pastebin.com/dSeRLhUm

theOptimizedCode commented on 2014-02-21 07:15

So, what's exactly out of date?

GSnake commented on 2014-02-03 10:53

Solved by using the plank application in the "community" repo.

GSnake commented on 2014-02-03 10:51

Having the same compiling error even with libgee06 in the depends' section in plank-bzr.

eszeth commented on 2014-02-03 10:08

Reinstall plank-bzr with 'depends' changed from libgee to libgee06

Utku1Kan commented on 2014-02-02 14:30

Compiling error. solutions?

collect2: error: ld returned 1 exit status
CMakeFiles/gala.dir/build.make:653: recipe for target 'gala' failed
make[2]: *** [gala] Error 1
CMakeFiles/Makefile2:94: recipe for target 'CMakeFiles/gala.dir/all' failed
make[1]: *** [CMakeFiles/gala.dir/all] Error 2
Makefile:146: recipe for target 'all' failed
make: *** [all] Error 2

Utku1Kan commented on 2014-02-02 11:28

i get the same error too. No solutions yet?

hcjl commented on 2014-01-17 13:28

same here

esclapion commented on 2014-01-16 15:38

Same error

bigl0af commented on 2014-01-15 19:02

Install from AUR is failing - any ideas?

CMakeFiles/gala.dir/build.make:76: recipe for target 'src/DBus.c' failed
make[2]: *** [src/DBus.c] Error 1
CMakeFiles/Makefile2:94: recipe for target 'CMakeFiles/gala.dir/all' failed
make[1]: *** [CMakeFiles/gala.dir/all] Error 2
Makefile:146: recipe for target 'all' failed
make: *** [all] Error 2

thiagowfx commented on 2013-11-26 02:13

Never mind, I don't know what happened, but now it is compiling fine (with gee disabled).

thiagowfx commented on 2013-11-26 01:40

I've rebuilt plank with "--disable-gee-0.8", but I still got the same errors from geeno and sh4nks.

sh4nks, please be more clear. Where do you mean using '0.5.0-1' (today's version)?

thiagowfx commented on 2013-11-26 01:40

I've rebuilt plank with "--disable-gee-0.8", but I still got the same errors from geeno and sh4nks.

sh4nks, please be more clear. Where do you mean using '0.5.0-1' (today's version)?

Ner0 commented on 2013-11-13 04:42

Rebuild plank-bzr with "--disable-gee-0.8" to the autogen.sh line.

geeno commented on 2013-11-12 13:33

I can't manage to install gala-bzr. http://pastebin.com/9iNLThhr

sh4nks commented on 2013-10-31 12:25

Ok, solved it.. just use the plank version from [community].

sh4nks commented on 2013-10-31 12:21

I can't compile it. I always get these errors: http://pastebin.com/ec865sNj

idainet commented on 2013-08-18 19:39

Logic :)

BTW, having bamf-581-1 (latest available) already installed, I wasn't able to start gala, until made symlink libbamf3.so.1 -> libbamf3.so.2.0.0

idainet commented on 2013-08-18 19:39

Logic :)

BTW, having bamf-581-1 (latest available) already installed, I wasn't able to start gala, until made symlink libbamf3.so.1 -> libbamf3.so.2.0.0

Ner0 commented on 2013-08-18 17:26

Well, plank depends on bamf. How did you install plank without it?

idainet commented on 2013-08-16 15:20

I was trying to start gala-351-1, and got an error

"gala: error while loading shared libraries: libbamf3.so.1: cannot open
shared object file: No such file or directory"

So => Gala depends on bamf

tydell commented on 2013-07-31 06:54

There is some problem that I can't build gala-bzr, maybe someone know what's wrong:

Scanning dependencies of target gala
[ 12%] Building C object CMakeFiles/gala.dir/src/DBus.c.o
In file included from /usr/include/mutter/meta/common.h:33:0,
from /usr/include/mutter/meta/boxes.h:28,
from /usr/include/mutter/meta/compositor.h:29,
from /usr/include/mutter/meta/meta-plugin.h:28,
from /tmp/yaourt-tmp-tydell/aur-gala-bzr/src/gala/build/src/DBus.c:24:
/usr/include/X11/extensions/XInput2.h:173:22: error: conflicting types for ‘BarrierEventID’
typedef unsigned int BarrierEventID;
^
In file included from /usr/include/X11/extensions/XInput2.h:33:0,
from /usr/include/mutter/meta/common.h:33,
from /usr/include/mutter/meta/boxes.h:28,
from /usr/include/mutter/meta/compositor.h:29,
from /usr/include/mutter/meta/meta-plugin.h:28,
from /tmp/yaourt-tmp-tydell/aur-gala-bzr/src/gala/build/src/DBus.c:24:
/usr/include/X11/extensions/Xfixes.h:274:17: note: previous declaration of ‘BarrierEventID’ was here
typedef int32_t BarrierEventID;
^
make[2]: *** [CMakeFiles/gala.dir/src/DBus.c.o] Error 1
make[1]: *** [CMakeFiles/gala.dir/all] Error 2
make: *** [all] Error 2

Anonymous comment on 2013-04-27 04:41

@samuaz:
I was having the same issue, and after a day of searching around, it seems plank-bzr now needs to be built with a "--disable-gee-0.8" flag, as I found out here: https://bugs.launchpad.net/gala/+bug/1173052

Just download the PKGBUILD for plank-bzr, and throw that flag at the end of the ./autogen.sh line, rebuild, install, and now gala-bzr should compile, at least it has for me. :)

samuaz commented on 2013-04-27 03:40

i have a problem my log http://pastebin.com/MpwUWRci

i already have the last plank-bzr installed

any ideas?

samuaz commented on 2013-04-26 05:45

i have the same problem than @na12 my log http://pastebin.com/MpwUWRci

i already have the last plank-bzr installed

any ideas?

na12 commented on 2013-04-14 09:58

Works now.

Ner0 commented on 2013-04-13 16:49

Try it now with the latest plank.

na12 commented on 2013-04-13 07:57

I can't build updated version,the old one was OK. Here is the error http://pastebin.com/nGq7z955

Anonymous comment on 2012-12-28 11:19

Thanks. That worked.
But, Why you are still keeping plank-bzr on dependencies ? why not pantheon-dock ?

Ner0 commented on 2012-12-26 16:50

Try updating granite-bzr.

Anonymous comment on 2012-12-26 16:44

build fails.
http://paste.debian.net/219302/

Anonymous comment on 2012-12-14 18:28

Could you make this require pantheon-dock instead of plank?

alucryd commented on 2012-11-22 13:43

gala builds fine (and appears to run fine) with regular mutter and bamf, mutter-git and bamf-bin should be dropped.

Anonymous comment on 2012-10-03 16:49

Using the latest mutter-git, clutter-git, and clutter-gtk-git, I'm gettingthe same 'GtkClutterTexture' error2

paradoxxxzero commented on 2012-10-01 09:03

With:
clutter 1.12.0-1
clutter-gtk 1.3.2-1

i get:
/src/aur/src/gala-build/build/src/Widgets/AppIcon.c:62:2: error: unknown type name 'GtkClutterTexture'
/src/aur/src/gala-build/build/src/Widgets/AppIcon.c:67:2: error: unknown type name 'GtkClutterTextureClass'
/src/aur/src/gala-build/src/Widgets/AppIcon.vala: In function 'gala_app_icon_construct':
/src/aur/src/gala-build/src/Widgets/AppIcon.vala:35:41: error: 'GtkClutterTexture' undeclared (first use in this function)
/src/aur/src/gala-build/src/Widgets/AppIcon.vala:35:41: note: each undeclared identifier is reported only once for each function it appears in
/src/aur/src/gala-build/src/Widgets/AppIcon.vala:35:59: error: expected expression before ')' token
/src/aur/src/gala-build/src/Widgets/AppIcon.vala:35:59: error: too few arguments to function 'gtk_clutter_texture_set_from_pixbuf'

archer commented on 2012-09-30 14:09

Can't unlock in gnome-control-center datetime.Click "unlock" button,is't work.Can't mount disk partitions.
Openbox OK! cinnamon OK!

Ner0 commented on 2012-09-18 22:15

Try rebuilding mutter-git, an then rebuild gala.

Anonymous comment on 2012-09-16 08:53

When I finish to install all the dependecies, at the end of the process it says:
There is an error in build()
And the process shout down.

julioc0 commented on 2012-09-16 05:21

I wasn't able to install from the package. When building gala, it fails because "'GtkClutterTexture' is not declared".

clutter-1.0 at version 1.10.6
clutter-gtk-1.0 at version 1.2.0

archer commented on 2012-09-03 01:14

@Ner0 Thanks!!I love you!
bamf problem!
Please added bamf-bin 0.2.122 depand.

Ner0 commented on 2012-09-02 06:35

It works fine for me.

Try installing the latest bamf(0.2.122) and granite-bzr.

archer commented on 2012-09-02 04:07

crash !crash!!crash!!!
press Alt+Tab Super+e will crash 100%!
from bzr-202 ,bzr-206 207 216 the same problem!
Always crash

archer commented on 2012-09-02 04:03

crash !
press Alt+Tab Super+e will crash 100%
from bzr-202 ,bzr-206 207 216 the same problem!

archer commented on 2012-09-02 03:01

crash !
press Alt+Tab Super+e will crash 100%
bzr-206 207

Ner0 commented on 2012-08-27 13:51

They've fixed it, try it again.

archer commented on 2012-08-27 06:22

Now depand libdbusmenu-gtk3
I have install libdbusmenu-gtk libdbusmenu-gtk3,but still errors

/usr/include/plank/plank.h:19:36: 致命错误:libdbusmenu-gtk/client.h:no file or forld

archer commented on 2012-08-03 05:46

now bzr-183 depand plank-bzr 699

Ner0 commented on 2012-06-26 13:17

Fixed.

Anonymous comment on 2012-06-26 12:48

I can't install this. There is an error:

Linking C executable gala
/usr/bin/ld: CMakeFiles/gala.dir/src/Widgets/WorkspaceView.c.o: undefined reference to symbol 'floorf@@GLIBC_2.0'
/usr/bin/ld: note: 'floorf@@GLIBC_2.0' is defined in DSO /lib/libm.so.6 so try adding it to the linker command line
/lib/libm.so.6: could not read symbols: Invalid operation
collect2: error: ld menghasilkan status keluaran 1
make[2]: *** [gala] Error 1
make[1]: *** [CMakeFiles/gala.dir/all] Error 2
make: *** [all] Error 2

What should I do?